Lazarus - Fehler bei Installation

Für Installationen unter Linux-Systemen

Lazarus - Fehler bei Installation

Beitragvon Cuci » 11. Dez 2015, 18:43 Lazarus - Fehler bei Installation

Hallo, bin ganz neu in LINUX, aber ich habe es geschafft, einen gut funktionierenden PC zu installieren mit (fast) allem, was man so braucht.

Das letzte Relikt, was noch unter Windows läuft, eine Delphi-Application, möchte ich nun nach FreePascal/Lazarus migrieren . . . Das in der AnwendungsVerwaltung von LinuxMint enthaltene Lazarus ist nicht up to date und ohne fpc-sources. Habe bei SourceForge die notwendigen Dateien heruntergeladen und installiert. Dabei ist folgender Fehler aufgetreten:

dpkg: Abhängigkeitsprobleme verhindern Konfiguration von lazarus:
lazarus hängt ab von libgtk2.0-dev (>= 2.6.0); aber:
Paket libgtk2.0-dev ist nicht installiert.

Die IDE sieht gut aus und nichts wird angemeckert . . . Muss ich wegen des Fehlers etwas unternehmen?
Zuletzt geändert von Cuci am 11. Dez 2015, 20:39, insgesamt 1-mal geändert.
Cuci
 
Beiträge: 38
Registriert: 10. Dez 2015, 20:09
Wohnort: Wo es warm ist
OS, Lazarus, FPC: LinuxMint 18.3 - Win7 in VM - Lazarus 1.6.2 fpc3.0.0 | 
CPU-Target: 64 bit
Nach oben

Beitragvon Mathias » 11. Dez 2015, 20:10 Re: Lazarus - welche Version ?

Hier würdest du noch ein aktuelleres Lazarus/fpc bekommen:

http://sourceforge.net/projects/lazarus ... %201.6RC1/
Mit Lazarus sehe ich gün
Mit Java und C/C++ sehe ich rot
Mathias
 
Beiträge: 3387
Registriert: 2. Jan 2014, 17:21
Wohnort: Schweiz
OS, Lazarus, FPC: Linux (die neusten Trunc) | 
CPU-Target: 64Bit
Nach oben

Beitragvon Cuci » 11. Dez 2015, 20:44 Re: Lazarus - Fehler bei Installation

OK - vielen Dank, werde ich gleich nachholen. Hast Du eine Ahnung, was es mit dem oben beschriebenen Fehler auf sich hat? Könnte ich das bei der Neu-Installation verhindern?
Cuci
 
Beiträge: 38
Registriert: 10. Dez 2015, 20:09
Wohnort: Wo es warm ist
OS, Lazarus, FPC: LinuxMint 18.3 - Win7 in VM - Lazarus 1.6.2 fpc3.0.0 | 
CPU-Target: 64 bit
Nach oben

Beitragvon Warf » 12. Dez 2015, 00:02 Re: Lazarus - Fehler bei Installation

Dir fehlt eine Abhängigkeit, du musst das entsprechende Paket libgtk2.0-dev installieren
Warf
 
Beiträge: 672
Registriert: 23. Sep 2014, 16:46
Wohnort: Aachen
OS, Lazarus, FPC: Mac OSX 10.11 | Win 10 | FPC 3.0.0 | L trunk | 
CPU-Target: x86_64, i368, ARM
Nach oben

Beitragvon Cuci » 12. Dez 2015, 11:23 Re: Lazarus - Fehler bei Installation

Wie soll ich jetzt vorgehen?

Ich hatte gestern die Vorgängerversion von Lazarus mit dem entsprechenden FPC installiert und möchte nun auf die neuesten Versionen wechseln.

Wenn ich Lazarus deinstalliere, wird dann FPC automatisch mitgelöscht?

Das Paket libgtk2.0-dev müsste ich dann wohl vor der Neuinstallation von Lazarus installieren.
Cuci
 
Beiträge: 38
Registriert: 10. Dez 2015, 20:09
Wohnort: Wo es warm ist
OS, Lazarus, FPC: LinuxMint 18.3 - Win7 in VM - Lazarus 1.6.2 fpc3.0.0 | 
CPU-Target: 64 bit
Nach oben

Beitragvon Mathias » 13. Dez 2015, 16:32 Re: Lazarus - Fehler bei Installation

Das Paket libgtk2.0-dev müsste ich dann wohl vor der Neuinstallation von Lazarus installieren.

Hast Du eine Ahnung, was es mit dem oben beschriebenen Fehler auf sich hat? Könnte ich das bei der Neu-Installation verhindern?


Sollte direkt so gehen:
Code: Alles auswählen
sudo apt-get install libgtk2.0-dev


Wenn ich Lazarus deinstalliere, wird dann FPC automatisch mitgelöscht?

Deinstallieren musst in in der Regel nichts, einfach die 3 neueren Pakete darüber installieren.
Mit Lazarus sehe ich gün
Mit Java und C/C++ sehe ich rot
Mathias
 
Beiträge: 3387
Registriert: 2. Jan 2014, 17:21
Wohnort: Schweiz
OS, Lazarus, FPC: Linux (die neusten Trunc) | 
CPU-Target: 64Bit
Nach oben

Beitragvon Cuci » 13. Dez 2015, 20:54 Re: Lazarus - Fehler bei Installation

Hallo, alles bestens !!!!

Vielen Dank für Eure Hilfe.
Cuci
 
Beiträge: 38
Registriert: 10. Dez 2015, 20:09
Wohnort: Wo es warm ist
OS, Lazarus, FPC: LinuxMint 18.3 - Win7 in VM - Lazarus 1.6.2 fpc3.0.0 | 
CPU-Target: 64 bit
Nach oben

• Themenende •

Zurück zu Linux



Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste

porpoises-institution
accuracy-worried